<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- FileDetails/Nurbs.h.html -->
<!-- this view was generated by FileDetails -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Nurbs.h Details</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileDetails">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Nurbs.h</h1><h2 class="heading">Includes from this file:</h2><ul>
<li>include <a href="Path.h.html" >Path.h</a></li>
</ul>
<h2 class="heading">Declarations in this file:</h2>
<div><h3>Classes in Paths</h3>
<div class="item"><a href="../Scopes/Paths/Nurbs.html" >Nurbs</a>
<div class="doc"><p>The Nurbs class.</p>
</div></div>

</div>
<div><h3>Data members in Paths::Nurbs</h3>
<div class="item"><a href="../Scopes/Paths/Nurbs.html#controls_" >controls_</a>
<div class="doc"><p>The data...</p>
</div></div>
<div class="item"><a href="../Scopes/Paths/Nurbs.html#knots_" >knots_</a>
<div class="doc"></div></div>
<div class="item"><a href="../Scopes/Paths/Nurbs.html#weights_" >weights_</a>
<div class="doc"></div></div>

</div>
<div><h3>Member functions in Paths::Nurbs</h3>
<div class="item"><a href="../Scopes/Paths/Nurbs.html#Nurbs_l_r" >Nurbs&#40;&#41;</a>
<div class="doc"><p>Create a new Nurbs curve.</p>
</div></div>
<div class="item"><a href="../Scopes/Paths/Nurbs.html#insert_control_point_ldouble_cconst.Vertex_A_cdouble_r" >insert_control_point&#40;double&#44;const&#160;Vertex&amp;&#44;double&#41;</a>
<div class="doc"><p>Inserts a control point with the given weight.</p>
</div></div>

</div>
<div><h3>Namespaces</h3>
<div class="item"><a href="../Scopes/Paths.html" >Paths</a>
<div class="doc"></div></div>
</div>

</body>
</html>
